Name:           jgraphx
Version:        2.2.0.2
Release:        %mkrel 2
Epoch:          1
Summary:        Java Graph Drawing Component

Group:          Development/Java
License:        BSD
URL:            http://www.jgraph.com/jgraph.html
Source0:        http://www.jgraph.com/downloads/jgraphx/archive/%{name}-%(echo %{version} |sed 's/\./_/g').zip

BuildRequires:  ant
BuildRequires:  java-devel >= 1.6
BuildRequires:  jpackage-utils
Requires:       java >= 1.4
Requires:       jpackage-utils

BuildArch:      noarch

%description
JGraphX is the a powerful, easy-to-use and feature-rich graph drawing
component for Java. It is a rewrite of JGraph, also known as JGraph 6.


%package javadoc
Summary:        API Documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils
Requires:       %{name} = %epoch:%{version}-%{release}

%description javadoc
JavaDoc documentation for %{name}


%prep
%setup -q -n %{name}
find -name '*.jar' -delete
rm -rf docs/api


%build
ant


%install

# Code
install -d $RPM_BUILD_ROOT%{_javadir}
install -p -m644 lib/%{name}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# API documentation
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}


%files
%{_javadir}/*
%doc license.txt


%files javadoc
%{_javadocdir}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1:2.2.0.2-2.mga4
+ Revision: 541461
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 grenoya <grenoya> 1:2.2.0.2-1.mga4
+ Revision: 494922
- new version 2.2.0.2

* Mon Jan 21 2013 dmorgan <dmorgan> 1:1.10.4.0-2.mga3
+ Revision: 390381
- Fix requires in the javadoc package

* Tue Jan 15 2013 dmorgan <dmorgan> 1:1.10.4.0-1.mga3
+ Revision: 388229
- New version

* Mon Jan 14 2013 grenoya <grenoya> 1:1.4.1.0-3.mga3
+ Revision: 388121
- fix rights

* Sat Jan 12 2013 umeabot <umeabot> 1:1.4.1.0-2.mga3
+ Revision: 355418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + misc <misc>
    - clean BR

  + grenoya <grenoya>
    - revert source to 1.4.1.0

* Sat Jun 18 2011 grenoya <grenoya> 1:1.7.0.6-1.mga2
+ Revision: 109479
- update sources

* Mon Mar 28 2011 grenoya <grenoya> 1:1.4.1.0-1.mga1
+ Revision: 78519
- imported package jgraphx


* Fri Jan 21 2011 Paulo Andrade <pcpa@mandriva.com.br> 1:1.4.1.0-1mdv2011.0
+ Revision: 632067
- Update to jgraphx 1.4.1.0

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.0.10-2mdv2011.0
+ Revision: 612447
- the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.2.0.10-1mdv2010.1
+ Revision: 543285
- downgrade to 1.2.0.10 version due to API mismatch in scilab (use Epoch)

* Tue Apr 06 2010 Yuri Myasoedov <omerta13@mandriva.org> 1.3.1.5-1mdv2010.1
+ Revision: 532285
- jar indexing was added in spec
- new version 1.3.1.5

* Mon Mar 22 2010 Yuri Myasoedov <omerta13@mandriva.org> 1.3.1.3-1mdv2010.1
+ Revision: 526625
- Updating sources
- Updating for new version of jgraphx 1.3.1.3

* Sun Dec 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0.3-1mdv2010.1
+ Revision: 480443
- import jgraphx


